tigase.jaxmpp.core.client.xmpp.modules.chat

## Interface MessageModuleExtension

- All Known Implementing Classes:
    MessageDeliveryReceiptsExtension

      public interface MessageModuleExtension

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `beforeMessageProcess(Message message, Chat chat)`

- - ### Method Detail

    - #### beforeMessageProcess

          Message beforeMessageProcess(Message message,
                                       Chat chat)
                                throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.